View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013788ParaView(No Category)public2013-01-15 09:122013-02-11 16:02
ReporterDavid C. Lonie 
Assigned ToDavid C. Lonie 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version3.98.1 
Summary0013788: Can't interrupt paraview
DescriptionCtrl-C on paraview doesn't work anymore -- need to change Py_Initialize(); to Py_InitializeEx(0); in the VTK matplotlib module.
Steps To Reproduce1) Run paraview from terminal
2) Render some MathText (e.g. text source, "Test $\pi$"
2) Try to kill with Ctrl-C in the terminal.
TagsNo tags attached.
ProjectTBD
Topic Name13788-FixSignalHandlers
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030134)
David C. Lonie (developer)
2013-01-15 10:16

This needed a bit of extra work to get around an additional handler in the threading module:

      PyRun_SimpleString("import signal;"
                         "signal.signal(signal.SIGINT, signal.SIG_DFL);");

fixes the issue for me.

Branch 13788-FixSignalHandlers pushed to stage, waiting on VTK changes to pass review on gerrit:

http://review.source.kitware.com/#/c/9319/ [^]
(0030141)
David C. Lonie (developer)
2013-01-15 11:47

Fixed.
(0030191)
Utkarsh Ayachit (administrator)
2013-01-18 15:47

merged into master.

- Issue History
Date Modified Username Field Change
2013-01-15 09:12 David C. Lonie New Issue
2013-01-15 09:12 David C. Lonie Assigned To => David C. Lonie
2013-01-15 10:16 David C. Lonie Note Added: 0030134
2013-01-15 10:16 David C. Lonie Description Updated View Revisions
2013-01-15 10:16 David C. Lonie Steps to Reproduce Updated View Revisions
2013-01-15 10:16 David C. Lonie Topic Name => 13788-FixSignalHandlers
2013-01-15 11:47 David C. Lonie Note Added: 0030141
2013-01-15 11:47 David C. Lonie Status backlog => gatekeeper review
2013-01-15 11:47 David C. Lonie Resolution open => fixed
2013-01-18 15:46 Utkarsh Ayachit Fixed in Version => git-master
2013-01-18 15:47 Utkarsh Ayachit Status gatekeeper review => customer review
2013-01-18 15:47 Utkarsh Ayachit Note Added: 0030191
2013-01-30 10:40 Utkarsh Ayachit Fixed in Version git-master => 3.98.1
2013-02-11 16:02 Utkarsh Ayachit Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker